<!DOCTYPE HTML>
<!--
	Alpha by HTML5 UP
	html5up.net | @n33co
	Free for personal and commercial use under the CCA 3.0 license (html5up.net/license)
-->
<html>
<head>
		<?php

		include('header.php');

?>
		<title>Praxis Creutzburg - Impfung Terminbestätigung</title>
		<link rel="stylesheet" href="css/formulare.css" />
	</head>
	<body >

		<!-- Header -->
		<header id="header" class="../skel-layers-fixed">
				

	<?php

    include('menu.php');
	include_once("inc/config.inc.php");
	include_once("inc/functions.inc.php");
	include_once('inc/functions.impfen.inc.php');
	include_once('inc/functions.formulare.inc.php');
	
?>			
	</header>

<!-- Main -->
	<section id="main" class="container">
		<header>
			<img src="gif/logo-arzt-creutzburg-coppen.gif" align="left" alt="Praxis Logo Creutzburg, Facharzt für innere Medizin, Schloßstr. 18, 31863 Coppenbrügge, Sprechzeit 8-11:00 Uhr, Tel. 05156 8125" />
			<h2>Impftermin bestätigen</h2>
			
			
			
		</header>
		
		<div class="row">
			<div class="12u">
				
				<!-- Form -->
					<section class="box">
							
<?php
	
#include("impfconfig.php");

if(isset($_POST["id"]) || isset($_GET["id"])){
	
	if(isset($_POST["id"])){
		$id = $_POST["id"];
	}else if(isset($_GET["id"])){
		$id = $_GET["id"];
	}
	$queryimpf = mysqli_query($con, "SELECT * FROM impftermin WHERE hash='" . $id . "'");
	
	if(mysqli_num_rows($queryimpf) == 1){
		$rowimpf = mysqli_fetch_assoc($queryimpf);
		//rowimpf = $queryimpf->fetch_assoc() ;
		$userid = $rowimpf["userid"];
		$checked = $rowimpf["checked"];
		$terminid = $rowimpf["terminid"];
		$timeid = $rowimpf["timeid"];
		//echo $userid;
		$queryuser = mysqli_query($con, "SELECT * FROM persons WHERE person_id='" . $userid . "'");
		$rowuser = mysqli_fetch_assoc($queryuser);
		//$rowuser = $queryuser->fetch_assoc();
		$vorname = $rowuser["vorname"];
		$nachname = $rowuser["nachname"];
		$mail = $rowuser["email"];
		//echo $mail;
		$tel = $rowuser["tele"];
		$userausgabe = $vorname . " " . $nachname;
		$querytime = mysqli_query($con, "Select date,start,ende,impfstoff,impfortid FROM timeslots WHERE timeid='" . $timeid . "'");
		$rowtime = mysqli_fetch_assoc($querytime);
		//$rowtime = $querytime->fetch_assoc();
		$datum = date("d.m.Y", strtotime($rowtime["date"]));
		$start = substr($rowtime["start"],0, 5);
		$ende = substr($rowtime["ende"],0, 5);
		
		// Impfstoff
		$impfstoff = $rowtime["impfstoff"];
		$sqlimpfstoffstring =  "SELECT * FROM impfstoff WHERE impfid ='" . $impfstoff . "'";
		$queryimpfstoff = mysqli_query($con,$sqlimpfstoffstring);
		$rowimpf = mysqli_fetch_assoc($queryimpfstoff);
		$impfstofftext = $rowimpf["impfname"];	
		
		$impfortid = $rowtime["impfortid"];
		$sqlimpfortstring =  "SELECT * FROM impfort WHERE ortid ='" . $impfortid . "'";
		$queryimpfort = mysqli_query($con,$sqlimpfortstring);
		$rowimpfort = mysqli_fetch_assoc($queryimpfort);
		$impforttext = $rowimpfort["anzeigename"] ."- " . $rowimpfort["adresse"];	
		$impforttext = iconv('CP1252//IGNORE', 'UTF-8' , $impforttext);

		$mailbetreff = "Ihre Coronaimpfung bei Praxis Creutzburg";		

		$Zeitanzeige = $datum . " " . $start . "-" . $ende ;
		if($checked == 0){
			echo "<h4>Sie haben Ihren Termin aktuell noch nicht bestätigt!<br><br></h4><br>";
			echo "<h4>Sagen Sie einen zugesagten Termin ab, werden Sie für 7 Tage für weitere Termine gesperrt!</h4><br>Sein Sie solidarisch und kommen Sie zu Ihren festgelegten Termin!<br>Doppelbuchung und Falschangaben führen zum generellen Ausschluss einer Impfung!<br>";
			echo "Sie haben die folgenden Termindaten:<br><br>";
			echo "<h4>Name: $userausgabe</h4>";
			echo "<h4>Zeit: $Zeitanzeige</h4>";
			echo "<h4>Impfstoff: $impfstofftext</h4>";
			echo "<h4>Impfort: $impforttext</h4><br>";
			
			echo "<form action='". $_SERVER['PHP_SELF'] . "' method=POST>";
			echo '<input type="hidden" name="terminid" id="terminid" value="'. $terminid .'" />';
			echo '<input type="hidden" name="aktion" id="aktion" value="2" />';
			echo '<input type="submit" id="submitbox" value="Termin ZUSAGEN" />';
			echo "</form>";
			echo "<form action='". $_SERVER['PHP_SELF'] . "' method=POST>";
			echo '<input type="hidden" name="aktion" id="aktion" value="1" />';
			echo '<input type="hidden" name="terminid" id="terminid" value="'. $terminid .'" />';
			echo '<input type="submit" id="submitbox" value="Termin ABSAGEN!" />';
			echo "</form>";
			
		}else if($checked == 1){
			echo "<h4>Sie haben Ihren Termin bestätigt!<br><b>Vielen Dank!</b><br><br></h4><br>";
			echo "<h4>Sagen Sie einen zugesagten Termin ab, werden Sie für 7 Tage für weitere Termine gesperrt!</h4><br>Sein Sie solidarisch und kommen Sie zu Ihren festgelegten Termin!<br>Doppelbuchung und Falschangaben führen zum generellen Ausschluss einer Impfung!<br>";
			echo "Sie haben die folgenden Termindaten:<br><br>";
			echo "<h4>Name: $userausgabe</h4>";
			echo "<h4>Zeit: $Zeitanzeige</h4>";
			echo "<h4>Impfstoff: $impfstofftext</h4>";
			echo "<h4>Impfort: $impforttext</h4><br>";
			
			echo "Können Sie Ihren Termin nicht wahrnehmen tragen Sie sich bitte aus:<br>";
			echo "<form action='". $_SERVER['PHP_SELF'] . "' method=POST>";
			echo '<input type="hidden" name="aktion" id="aktion" value="1" />';
			echo '<input type="hidden" name="terminid" id="terminid" value="'. $terminid .'" />';
			echo '<input type="submit" id="submitbox" value="Termin ABSAGEN!" />';
			echo "</form>";			
			
			
		}else if($checked == 2){
			echo "<h4>Ihr Termin wurde erfolgreich abgesagt!!</h4><br>Wünschen Sie einen neuen Termin, tragen Sie sich wieder über das Formular ein.<br>";			
			
			
		}else if($checked == 3){
			echo "<h4>Ihr Termin wurde vom Praxisteam storniert!</h4><br>Wünschen Sie einen neuen Termin, tragen Sie sich wieder über das Formular ein.<br>";			
			
			
		}
	
	}else{
		echo "<h4>Leider konnten wir Ihre Anforderung nicht verarbeiten.</h4><br>Bitte überprüfen Sie den aufgerufenden Link.<br><br>";
		
	}
	


}else if($_POST["aktion"] == 1){
	echo "Wollen Sie wirklich Ihren Termin absagen?<br>Dieses ist nicht rückgängig zu machen!<br>Dann bestätigen Sie die Abmeldung:<br>";
	echo "<b>Achtung!</b> Sagen Sie Ihren festgelegten Termin ab, können Sie eine Woche keinen neuen Termin beantragen.<br>";
	echo "<form action='". $_SERVER['PHP_SELF'] . "' method=POST>";
	echo '<input type="hidden" name="aktion" id="aktion" value="3" />';
	echo '<input type="hidden" name="terminid" id="terminid" value="'. $_POST["terminid"] .'" /><br>';
	echo '<input type="submit" id="submitbox" value="Termin ABSAGEN!" />';
	echo "</form>";	


}else if($_POST["aktion"] == 2){
	
	$querychecked = mysqli_query($con, "SELECT checked FROM impftermin WHERE terminid='" . $_POST["terminid"] . "'");
	$rowchecked = mysqli_fetch_assoc($querychecked);
	//$rowchecked = $querychecked->fetch_assoc() ;
	$checked = $rowchecked["checked"];
	if($checked >= 1){
		echo "<h4>Sie haben Ihren Termin schon bestätigt.</h4>";
		
	}else{
		$query = mysqli_query($con, "Update impftermin SET checked='1' WHERE terminid ='".$_POST["terminid"]."'");
		if($query){
			echo "<h4>Ihr Termin wurde erfolgreich bestätigt!<h4><br>";
			echo "Sie erhalten gleiche eine schriftliche Bestätigung per E-Mail<br>";
			
			
			$queryimpf = mysqli_query($con, "SELECT * FROM impftermin WHERE terminid='" . $_POST["terminid"] . "'");
			$rowimpf = mysqli_fetch_assoc($queryimpf);
			//$rowimpf = $queryimpf->fetch_assoc() ;
			$userid = $rowimpf["userid"];
			$checked = $rowimpf["checked"];
			$terminid = $rowimpf["terminid"];
			$timeid = $rowimpf["timeid"];
			//echo $userid;
			$queryuser = mysqli_query($con, "SELECT * FROM persons WHERE person_id='" . $userid . "'");
			$rowuser = mysqli_fetch_assoc($queryuser);
			//$rowuser = $queryuser->fetch_assoc();
			$vorname = $rowuser["vorname"];
			$nachname = $rowuser["nachname"];
			$mail = $rowuser["email"];
			//echo $mail;
			$tel = $rowuser["tele"];
			$userausgabe = $vorname . " " . $nachname;
			$querytime = mysqli_query($con, "Select date,start,ende FROM timeslots WHERE timeid='" . $timeid . "'");
			$rowtime = mysqli_fetch_assoc($querytime);
			//$rowtime = $querytime->fetch_assoc();
			$datum = date("d.m.Y", strtotime($rowtime["date"]));
			$start = substr($rowtime["start"],0, 5);
			$ende = substr($rowtime["ende"],0, 5);
			$Zeitanzeige = $datum . " " . $start. " - " . $ende;
			
			
			SendMailMessageVorlage($pdo, "1", $terminid, "2");
		

		}
	}

}else if($_POST["aktion"] == 3){
	$querychecked = mysqli_query($con, "SELECT checked FROM impftermin WHERE terminid='" . $_POST["terminid"] . "'");
	$rowchecked = mysqli_fetch_assoc($querychecked);
	$checked = $rowchecked["checked"];
	if($checked >= 2){
		echo "<h4>Sie haben Ihren Termin schon abgesagt.</h4>";
		
	}else{
		$query = mysqli_query($con, "Update impftermin SET checked='2' WHERE terminid ='".$_POST["terminid"]."'");
		if($query){
			echo "<h4>Ihr Termin wurde erfolgreich gelöscht!<h4><br>";
			echo "Sie erhalten gleiche eine schriftliche Bestätigung per E-Mail<br>";
			
			$queryimpf = mysqli_query($con, "SELECT * FROM impftermin WHERE terminid='" . $_POST["terminid"] . "'");
			$rowimpf = mysqli_fetch_assoc($queryimpf);
			//$rowimpf = $queryimpf->fetch_assoc() ;
			$userid = $rowimpf["userid"];
			$checked = $rowimpf["checked"];
			$terminid = $rowimpf["terminid"];
			$timeid = $rowimpf["timeid"];
			//echo $userid;
			$queryuser = mysqli_query($con, "SELECT * FROM persons WHERE person_id='" . $userid . "'");
			$rowuser = mysqli_fetch_assoc($queryuser);
			//$rowuser = $queryuser->fetch_assoc();
			$vorname = $rowuser["vorname"];
			$nachname = $rowuser["nachname"];
			$mail = $rowuser["email"];
			//echo $mail;
			$tel = $rowuser["tele"];
			$userausgabe = $vorname . " " . $nachname;
			$querytime = mysqli_query($con, "Select date,start,ende,impfdosen FROM timeslots WHERE timeid='" . $timeid . "'");
			$rowtime = mysqli_fetch_assoc($querytime);
			//$rowtime = $querytime->fetch_assoc();
			$datum = date("d.m.Y", strtotime($rowtime["date"]));
			$start = substr($rowtime["start"],0, 5);
			$ende = substr($rowtime["ende"],0, 5);
			$dosen = $rowtime["impfdosen"];
			$dosen = $dosen + 1;
			$Zeitanzeige = $datum . " " . $start. " - " . $ende;
			$query = mysqli_query($con, "Update timeslots SET impfdosen='".$dosen."' WHERE timeid ='".$timeid."'");
			
			SendMailMessageVorlage($pdo, "1", $terminid, "3");
			

		}			
	}

}else{
	
	echo "Leider konnten wir Ihre ID-Nummer nicht erkennen.<br>Bitte tragen Sie diese in dem folgendem Feld ein und klicken Sie auf 'Senden'<br><br>";
	echo "<form action='". $_SERVER['PHP_SELF'] . "' method=POST>";
	echo '<input type="text" name="id" id="id" value="" placeholder="ID Kennung aus der E-Mail" required /><br>';
	echo '<input type="submit" id="submitbox" value="Senden" />';

}






?>




			</section>
		<?php

    include_once('footer.php');

?>
				
		

	</body>
</html>
